[Numpy-discussion] Removing datetime support for 1.4.x series ?

Travis Oliphant oliphant@enthought....
Fri Feb 5 23:10:03 CST 2010


On Feb 5, 2010, at 9:59 PM, Darren Dale wrote:

> On Fri, Feb 5, 2010 at 10:25 PM, Travis Oliphant <oliphant@enthought.com 
> > wrote:
>>
>> On Feb 5, 2010, at 2:32 PM, Christopher Barker wrote:
>>
>>> Hi folks,
>>>
>>> It sounds like a consensus has been reached to put out a 1.4.1  
>>> that is
>>> ABI compatible with 1.3.*
>>
>> This is not true.   Consensus has not been reached.
>
> How many have registered opposition to the above proposal?

Even one opposing view is not a consensus.

>
>> I think 1.3.9 should be released and 1.4.1 should be ABI  
>> incompatible.
>
> And then another planned break in numpy ABI compatibility in the
> foreseeable future, for the other items that have been discussed in
> this thread?

Not, not at all.  I don't see a need for any ABI incompatibility in  
the foreseeable future.  Especially, if we insert a few place holders  
like Pauli proposed.    I'm proposing to get the ABI breakage over and  
done with right now.    This gives plenty of people time to adjust  
before the Py3K conversion.

I don't see a reason to have another ABI discussion in May while we  
are also trying to have a Py3K discussion.

-Travis







More information about the NumPy-Discussion mailing list